×
INTELLIGENT WORK FORUMS
FOR ENGINEERING PROFESSIONALS

Log In

Come Join Us!

Are you an
Engineering professional?
Join Eng-Tips Forums!
  • Talk With Other Members
  • Be Notified Of Responses
    To Your Posts
  • Keyword Search
  • One-Click Access To Your
    Favorite Forums
  • Automated Signatures
    On Your Posts
  • Best Of All, It's Free!
  • Students Click Here

*Eng-Tips's functionality depends on members receiving e-mail. By joining you are opting in to receive e-mail.

Posting Guidelines

Promoting, selling, recruiting, coursework and thesis posting is forbidden.

Students Click Here

Jobs

How to find the fake dimension in Catia 2D drafting......
3

How to find the fake dimension in Catia 2D drafting......

How to find the fake dimension in Catia 2D drafting......

(OP)
Hi,

Let's say we got a 2 D file for revision and suspect that some of the dimension are fake.
Is there any way (other than inspecting every dimension) to find them at once?

Thanks

CAD 2015

RE: How to find the fake dimension in Catia 2D drafting......

You think dimensions are 'fake'?

Do you mean that you think the automatic dim callout has been replaced with a typed-in value (so that the dim would not update were you to change the model)?

The solution to that depends on what problem you're trying to solve...

RE: How to find the fake dimension in Catia 2D drafting......

(OP)
The engineering department was concerned about a 2D drawing file that had a few dimension that didn't match their expectation. I was put in charge with finding out what was going on.
I found out that one of the dimension was fake (type-in value on Properties).
Tha task is done but I'd like to know if fake dimension could be find easier.......


CAD 2015

RE: How to find the fake dimension in Catia 2D drafting......

Turn on the analysis display mode in the visualization toolbar.
Fake dimensions are then brown in color.


Colors are identified here:

RE: How to find the fake dimension in Catia 2D drafting......

2
I have always turn on that option pointed by rickyt.

You can use also the macro below which is doing in fact the search of fake dimensions and color them in red if you don't have the analyze option turned on...

CODE --> CATScript

Language="VBSCRIPT"

Sub CATMain()

Dim drawingDocument1 As Document
Set drawingDocument1 = CATIA.ActiveDocument

Dim selection1 As Selection
Set selection1 = drawingDocument1.Selection

selection1.Search "CATDrwSearch.DrwDimension.DimFakeAttr=TRUE,all"

'Change the color in RED
Set Drwselect = CATIA.ActiveDocument.Selection

Drwselect.VisProperties.SetRealColor 255, 0, 0, 0

End Sub 

Regards
Fernando

https://picasaweb.google.com/102257836106335725208 - Romania
https://picasaweb.google.com/103462806772634246699... - EU

RE: How to find the fake dimension in Catia 2D drafting......

(OP)
Thank you, RickyT,
Thank you, Ferdo!
bigsmile

CAD 2015

RE: How to find the fake dimension in Catia 2D drafting......

(OP)
Fernando,

I have been trying to apply your macro; unfortunately, I got the error messages below:



What went wrong?

Thanks!

CAD 2015

RE: How to find the fake dimension in Catia 2D drafting......

I see that you are editing in catvbs...please use CATScript as is written in the header of the code section of the forum Code -> CATScript :)

If you want to use catvbs you need to write ' before each As (this means comment, everything which is after this sign will be ignored) so you will have

CODE --> catvbs

Language="VBSCRIPT"

Sub CATMain()

Dim drawingDocument1 'As Document
Set drawingDocument1 = CATIA.ActiveDocument

Dim selection1 'As Selection
Set selection1 = drawingDocument1.Selection

selection1.Search "CATDrwSearch.DrwDimension.DimFakeAttr=TRUE,all"

'Change the color in RED
Set Drwselect = CATIA.ActiveDocument.Selection

Drwselect.VisProperties.SetRealColor 255, 0, 0, 0

End Sub 

Regards
Fernando

https://picasaweb.google.com/102257836106335725208 - Romania
https://picasaweb.google.com/103462806772634246699... - EU

RE: How to find the fake dimension in Catia 2D drafting......

(OP)
It works!...
2thumbsup
Thanks a lot, Ferdo!

CAD 2015

Red Flag This Post

Please let us know here why this post is inappropriate. Reasons such as off-topic, duplicates, flames, illegal, vulgar, or students posting their homework.

Red Flag Submitted

Thank you for helping keep Eng-Tips Forums free from inappropriate posts.
The Eng-Tips staff will check this out and take appropriate action.

Reply To This Thread

Posting in the Eng-Tips forums is a member-only feature.

Click Here to join Eng-Tips and talk with other members!


Resources

Ebook - Mastering Tolerances for Machined Parts
When making CNC machined parts, mastering tolerances can be challenging. Are general tolerances good enough? When does it make sense to call out for tighter tolerances? Do you need a better understanding of fits, datums, or GD&T? Learn about these topics and more in Xometry's new e-book. Download Now
eBook – How to Choose the Correct Corrosion Testing Method
When designing a metal component, engineers have to consider how susceptible certain alloys are to corrosion in the final product’s operating environment. In a recent study by NACE (National Association of Corrosion Engineers), it was estimated that the direct and indirect costs of corrosion in the United States is approximately 6.2% of the GDP. In 2016, that cost exceeded $1 trillion dollars for the first time. Download Now

Close Box

Join Eng-Tips® Today!

Join your peers on the Internet's largest technical engineering professional community.
It's easy to join and it's free.

Here's Why Members Love Eng-Tips Forums:

Register now while it's still free!

Already a member? Close this window and log in.

Join Us             Close